mscorlib 4.0.0.0 DefaultConstructorConstraint NotNullableValueTypeConstraint System.ValueType System.Security.AccessControl.AccessRule To be added.

Access rights (permissions) are type T, which you can type-cast to or from an int. For example, you can cast a as the access rights type, and then use the instance normally. In contrast, always takes access rights of type int.

Represents a combination of a user's identity, an access mask, and an access control type (allow or deny). An AccessRule`1 object also contains information about the how the rule is inherited by child objects and how that inheritance is propagated.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Property
  4.0.0.0
  T To be added.

  This property contains the same information as the AccessMask property, but cast as type <T>.

  Gets the rights of the current instance.